<?php
	// connexion au SGBD
	$connexion = mysqli_connect("localhost", "root", "") ;
	mysqli_set_charset($connexion, "utf8");
	// sélection de la base de données « db_vote »
	mysqli_select_db($connexion , "db_vote");
?>
<!DOCTYPE html>
<html>
	<head>	
		<link rel="stylesheet" href="/peoplevox/css/vote.css" />
		<meta charset="UTF-8" />
	</head>
	<body>
		<?php
			// récupération des questions datées d'aujourd'hui. CURDATE() correspond 
			// à la date d'aujourd'hui.
			$questions = mysqli_query($connexion, "
				SELECT * 
				FROM Question 
				WHERE creation = CURDATE() 
			") ;
			$nb = mysqli_num_rows($questions) ;
			if($nb > 0){
				// récupération de la question du jour, c'est-à-dire la première et la 
				// seule question datée d'aujourd'hui.
				$question = mysqli_fetch_assoc($questions) ;
		?>
		<div class="vote">
			<div class="question">
				<span class="title">La question du jour est :</span>
				<b><?php echo $question["texte"]; ?></b>
			</div>
			<div class="reponse">
				<a class="pour" href="/peoplevox/vote.php?choix=pour">
					<div>Pour</div>
					<img src="/peoplevox/img/pour.png" />
				</a>
				<a class="contre" href="/peoplevox/vote.php?choix=contre">
					<div>Contre</div>
					<img src="/peoplevox/img/contre.png" />
				</a>
			</div>
		</div>
		<?php
			}
			// enregistrement d'un vote
			if(isset($_GET["choix"])){
				// si vote pour
				if($_GET["choix"] == "pour"){
					mysql_query($connexion, "
						UPDATE Question 
						SET pour = pour + 1 
						WHERE creation = CURDATE()
					");
				// sinon si vote contre
				}else if($_GET["choix"] == "contre"){
					mysql_query($connexion, "
						UPDATE Question 
						SET contre = contre + 1 
						WHERE creation = CURDATE()
					");
				}
			}
		?>
		<?php
			$hier = mysqli_query($connexion, "
				SELECT * 
				FROM Question 
				WHERE creation = DATE_ADD(CURDATE(), INTERVAL -1 DAY) 
			") ;
			$nb = mysqli_num_rows($hier) ;
			if($nb > 0){
				// récupération de la question du jour, c'est-à-dire la première et la 
				// seule question datée d'aujourd'hui.
				$hier = mysqli_fetch_assoc($hier) ;
		?>
		<div class="hier">
			<div class="question">
				<span class="title">La question d'hier était :</span>
				<b><?php echo $hier["texte"]; ?></b>
			</div>
			<div class="resultat">
				<span class="title">Résultats du vote :</span>
				<?php 
					// nombre total de votants
					$votants = $hier["pour"] + $hier["contre"];
					// pourcentage de personnes "pour"
					$pour = 100 * $hier["pour"] / $votants;
					// pourcentage de personnes "contre"
					$contre = 100 * $hier["contre"] / $votants;
					// arrondi les pourcentages à deux chiffres après la virgule
					$pour = round($pour, 2);
					$contre = round($contre, 2);
				?>
				<span class="pour">
					<img src="/peoplevox/img/pour.png" />
					<?php echo $pour; ?>%
				</span>
				<span class="contre">
					<img src="/peoplevox/img/contre.png" />
					<?php echo $contre; ?>% 
				</span>
			</div>
		</div>
		<?php 
			}
		?>
	</body>
</html>